> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook subscriptions

> OAuth scope: `webhook`

Retrieves a paginated list of webhook subscriptions. Only webhook subscriptions created by the authenticated user and for the current client_id are returned.



## OpenAPI

````yaml get /v2/webhook_subscriptions
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/webhook_subscriptions:
    get:
      tags:
        - Webhooks
      summary: List webhook subscriptions
      description: >-
        OAuth scope: `webhook`


        Retrieves a paginated list of webhook subscriptions. Only webhook
        subscriptions created by the authenticated user and for the current
        client_id are returned.
      operationId: listWebhookSubscriptions
      parameters:
        - name: per_page
          in: query
          required: false
          description: Number of items to return per page (1-100)
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 100
        - name: page
          in: query
          required: false
          description: Page number to return
          schema:
            type: integer
            minimum: 1
            default: 1
      responses:
        '200':
          description: Webhook subscriptions retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - subscriptions
                  - meta
                properties:
                  subscriptions:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookSubscriptionData'
                  meta:
                    $ref: '#/components/schemas/Pagination'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
      security:
        - OAuth:
            - webhook
components:
  schemas:
    WebhookSubscriptionData:
      type: object
      required:
        - id
        - organization_id
        - membership_id
        - callback_url
        - types
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the webhook subscription
          example: 123e4567-e89b-12d3-a456-426614174000
        organization_id:
          type: string
          format: uuid
          description: ID of the organization that owns this subscription
          example: 123e4567-e89b-12d3-a456-426614174000
        membership_id:
          type: string
          format: uuid
          description: ID of the membership that owns this subscription
          example: 123e4567-e89b-12d3-a456-426614174000
        callback_url:
          type: string
          format: uri
          pattern: ^https://.*
          maxLength: 512
          description: The HTTPS URL where webhooks will be sent
          example: https://api.partner.com/webhooks/qonto
        types:
          $ref: '#/components/schemas/WebhookEventTypes'
        description:
          type: string
          maxLength: 256
          description: Optional description for the webhook subscription
          example: Production webhook for transactions
        created_at:
          type: string
          format: date-time
          description: When the subscription was created
          example: '2025-01-24T10:55:00Z'
        updated_at:
          type: string
          format: date-time
          description: When the subscription was last updated
          example: '2025-01-24T10:55:00Z'
    Pagination:
      type: object
      description: Metadata for paginated responses
      required:
        - current_page
        - next_page
        - prev_page
        - total_pages
        - total_count
        - per_page
      properties:
        current_page:
          type: integer
          description: The current page number
          example: 2
        next_page:
          type:
            - integer
            - 'null'
          description: The next page number (null if on last page)
          example: 3
        prev_page:
          type:
            - integer
            - 'null'
          description: The previous page number (null if on first page)
          example: 1
        total_pages:
          type: integer
          description: Total number of pages
          example: 11
        total_count:
          type: integer
          description: Total number of items across all pages
          example: 210
        per_page:
          type: integer
          description: Number of items per page
          example: 20
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
    WebhookEventTypes:
      type: array
      description: The types of events to subscribe to
      minItems: 1
      uniqueItems: true
      items:
        $ref: '#/components/schemas/WebhookEventType'
      example:
        - v1/transactions
        - v1/accounts
        - v1/organizations
        - v1/memberships
        - v1/consent-revocations
        - v1/cards
        - v1/payment-links
        - v1/payment-links-connections
        - v1/beneficiaries
        - v1/client-invoices
        - v1/terminal-payments
        - v1/clients
    WebhookEventType:
      type: string
      enum:
        - v1/transactions
        - v1/accounts
        - v1/organizations
        - v1/memberships
        - v1/consent-revocations
        - v1/cards
        - v1/payment-links
        - v1/payment-links-connections
        - v1/beneficiaries
        - v1/client-invoices
        - v1/terminal-payments
        - v1/clients
      example: v1/transactions
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````